import { type AutocompleteStringList, type StringListToInterfaceKey } from "../utils.js";
declare const DEFAULT_COMMENTS: readonly ["css"];
type Comments = AutocompleteStringList<(typeof DEFAULT_COMMENTS)[number]>;
type DefaultCommentsHolder = StringListToInterfaceKey<typeof DEFAULT_COMMENTS>;
declare const DEFAULT_TAGS: readonly ["css"];
type Tags = AutocompleteStringList<(typeof DEFAULT_TAGS)[number]>;
type DefaultTagsHolder = StringListToInterfaceKey<typeof DEFAULT_TAGS>;
declare const CSS_PARSERS: readonly ["css", "less", "scss"];
type CssParser = (typeof CSS_PARSERS)[number];
declare const EMBEDDED_LANGUAGE_IDENTIFIERS: "embeddedCssIdentifiers";
declare const EMBEDDED_LANGUAGE_COMMENTS: "embeddedCssComments";
declare const EMBEDDED_LANGUAGE_TAGS: "embeddedCssTags";
declare const EMBEDDED_LANGUAGE_PARSER: "embeddedCssParser";
export declare const options: {
    readonly embeddedCssIdentifiers: {
        readonly category: "Embed";
        readonly type: "string";
        readonly array: true;
        readonly default: [{
            readonly value: ["css"];
        }];
        readonly description: "Tag or comment identifiers that make their subsequent template literals be identified as embedded CSS language.";
        readonly deprecated: "Please use `embeddedCssComments` or `embeddedCssTags`.";
    };
    readonly embeddedCssComments: {
        readonly category: "Embed";
        readonly type: "string";
        readonly array: true;
        readonly default: [{
            readonly value: ["9ff2b366e8ca4c97b9aed1a29b5b94ed"];
        }];
        readonly description: "Block comments that make their subsequent template literals be identified as embedded CSS language.";
    };
    readonly embeddedCssTags: {
        readonly category: "Embed";
        readonly type: "string";
        readonly array: true;
        readonly default: [{
            readonly value: ["9ff2b366e8ca4c97b9aed1a29b5b94ed"];
        }];
        readonly description: "Tags that make their subsequent template literals be identified as embedded CSS language.";
    };
    readonly embeddedCssParser: {
        category: string;
        type: "choice";
        default: "scss";
        description: string;
        choices: {
            value: "css" | "less" | "scss";
            description: string;
        }[];
    };
};
type Options = typeof options;
declare module "../types.js" {
    interface EmbeddedOptions extends Options {
    }
    interface EmbeddedDefaultCommentsHolder extends DefaultCommentsHolder {
    }
    interface EmbeddedDefaultTagsHolder extends DefaultTagsHolder {
    }
    interface PluginEmbedOptions {
        /**
         * @deprecated Please use `embeddedCssComments` or `embeddedCssTags`.,
         */
        [EMBEDDED_LANGUAGE_IDENTIFIERS]?: (Comments[number] | Tags[number])[];
        [EMBEDDED_LANGUAGE_COMMENTS]?: Comments;
        [EMBEDDED_LANGUAGE_TAGS]?: Tags;
        [EMBEDDED_LANGUAGE_PARSER]?: CssParser;
    }
}
export {};
